/* =================================================== */
/* CSS for control sap.ui.commons/MessageToast.control */
/* =================================================== */

.sapUiMsgToast {
	background-color: transparent;
	color: @sapUiText;
}

.sapUiMsgToastMsg {
	background-color: white;
	border: 1px solid #306898;
	border-radius: 3px;
	margin-bottom: -2px; /* For the bottom-arrow to overlap onto the border */
	padding: 2px 6px;
}

/* Priorities affect the coloring of the Toast */
.sapUiMsgTError .sapUiMsgToastMsg {
	background-color: #FBE9EB;
	border-color: #B00017;
}
.sapUiMsgTWarning .sapUiMsgToastMsg {
	background-color: #FFFCB5;
	border-color: #868557;
}

.sapUiMsgTSuccess .sapUiMsgToastMsg {
	background-color: #E7F2ED;
	border-color: #80BE87;
}

/* The toasted Message should be centered */
.sapUiMsgToast .sapUiMsg {
	display: block;
	text-align: center;
}

/* For now, message icons and details are not displayed */
.sapUiMsgToastMsg .sapUiMsgIcon,
.sapUiMsgToastMsg .sapUiMsgLnk {
	display: none;
}

/* Styling of the down-arrow is Type/Priority dependent */
.sapUiMsgToastArrow {
	background: url("img/messagebar/toastarrow_multi.gif") no-repeat scroll 0px 0px transparent;
	display: block;
	height: 9px;
	width: 15px;
}

.sapUiMsgTError .sapUiMsgToastArrow {
	background-image: url("img/messagebar/toastarrow_Error.gif");
}

.sapUiMsgTWarning .sapUiMsgToastArrow {
	background-image: url("img/messagebar/toastarrow_Warning.gif");
}

.sapUiMsgTSuccess .sapUiMsgToastArrow {
	background-image: url("img/messagebar/toastarrow_Success.gif");
}